<?php
	/*
	 *
	 * 2003 - 2020 @ Yal Publicidad - YMS::intalacion
	 * www.yalpublicidad.com
	 * online@yalpublicidad.com
	 *
	 */
	 
	  /* Autorizo acceso */
		defined( 'MSai' ) or die( '<h2>No dispones de acceso<h2>' );
	
		function UTC(){		
			
			if( file_exists( '.as/bin/gmt.y' ) ){
				$gmt	= file_get_contents( '.as/bin/gmt.y' );
				$gmt = json_decode( $gmt );
				
				$html = '<select id="gmt" name="gmt">';
				foreach ($gmt as $clave => $valor){
					$valor	= explode( '|', $valor );
					$value	= isset( $valor[1] ) ? $valor[1] : NULL;
					$text	= isset( $valor[0] ) ? $valor[0] : NULL;
					
					$html .= '<option value="' . $value . '">' . $text . '</option>';
				}
				$html .= '</select>';
			
				return $html;
			}else{
				die( 'No hay modulo UTC disponible' );
			}
			
		}
		
	$YGE_titulo_h1 = LNG::etiqueta( 'subti_3' );
	
			$YGE_html .= '<form id="iInstSC">
				<table class="table conf w100">
							<tr>
								<td width="5%"><input type="radio" id="dl_descargar" name="dl" value="3" ></td>
								<td width="95%"><label for="dl_descargar"><strong>Descargar Actualizador</strong><div style="font-weight:normal;">Descargue el zip a la PC para realizar una actualización manual.</div></label></td>
							</tr>
							<tr>
								<td width="5%"><input type="radio" id="dl_subirpc" name="dl" value="2" ></td>
								<td width="95%">
									<label for="dl_subirpc"><strong>Subir Actualizador</strong>
										<div style="font-weight:normal;">Si ya tiene una versión reciente descargarda, active esta opción para dar de alta al zip en el sistema e iniciar la actualización.</div>
										<div><input type="file" name="subirpc"></div>
									</label>
								</td>
							</tr>
							<tr>
								<td width="5%"><input type="radio" id="dl_enlinea" name="dl" value="1" checked ></td>
								<td width="95%"><label for="dl_enlinea"><strong>Actualizar en Línea</strong> (Recomendado)<div style="font-weight:normal;">Esta opción iniciará la descarga del zip en línea dentro del sistema y en el siguiente paso se realizará la actualización.</div></label></td>
							</tr>
				</table>
			</form>';
					
					$YGE_html .= '<script>
						function msg_error_input( e, msg ){
								e = document.querySelector( \'#error_\' + e );
								e.className += "btn help-icon alert-danger";
								e.innerHTML = msg;
						}
						
						$frm = document.querySelector( \'#iInstSC\' );
						function iInstSisCli(){
							//alert($frm.dl.value);
							
							if( $frm.dl.value == \'3\' ){
								window.open("' . ms_actualizar::servDatos()->url_descarga . '");
								return false;
							}
							
							if( $frm.dl.value == \'2\' ){
								$frm.action = \'actualizar.php?paso=4\';
								$frm.method = \'POST\';
								$frm.enctype = \'multipart/form-data\';
								document.querySelector( \'#btnEulaAgree\' ).innerHTML = \'<img src=".as/bin/loading_s.gif" height="20"> Actualizando...\';
								$frm.submit();
							}
							
							if( $frm.dl.value == \'1\' ){
								$frm.action = \'actualizar.php?paso=4\';
								$frm.method = \'POST\';
								
								$pb.ini();
								$a = $pb.ajax({
												url: \'.as/bin/pi4-prcss.php\',
												metodo: \'POST\',
												contenidoTipo: \'application/x-www-form-urlencoded\',
												data: \'url=' . urlencode( ms_actualizar::servDatos()->url_descarga ) . '\',
												suceso: function(respuesta){
													if( respuesta == 1 ){
														//alert(\'Descargó\');
														document.querySelector( \'#btnEulaAgree\' ).innerHTML = \'<img src=".as/bin/loading_s.gif" height="20"> Actualizando...\';
														$frm.submit();
													}else{
														document.getElementById(\'msBar\').innerHTML = respuesta;
														document.getElementById(\'msBar\').style.background = \'#c9c5c3\';
													}
												}
									});
							}
							
							/*$frm.action = \'index.php?paso=4\';
							$frm.method = \'POST\';
							
							$pb.ini();
							$a = $pb.ajax({
											url: \'bin/pi4-prcss.php\',
											metodo: \'POST\',
											contenidoTipo: \'application/x-www-form-urlencoded\',
											data: \'mysql_prefijo=\' + $frm.mysql_prefijo.value + \'&mysql_port=\' + $frm.mysql_port.value + \'&mysql_host=\' + $frm.mysql_host.value + \'&mysql_user=\' + $frm.mysql_user.value + \'&mysql_pass=\' + $frm.mysql_pass.value + \'&mysql_db=\' + $frm.mysql_db.value + \'&user=\' + $frm.user.value + \'&pass=\' + $frm.pass.value + \'&email=\' + $frm.email.value + \'&gmt=\' + $frm.gmt.value + \'&lng=' . LNG::$idioma . '&charset=\' + $frm.charset.value + \'&title=\' + $frm.title.value + \'&descripcion=\' + $frm.description.value + \'&keywords=\' + $frm.keywords.value + \'&organizacion=\' + $frm.organizacion.value + \'&estado=\' + $frm.estado.value,
											suceso: function(respuesta){
												if( respuesta == 1 ){
													$frm.submit();
												}else{
													document.getElementById(\'msBar\').innerHTML = respuesta;
													document.getElementById(\'msBar\').style.background = \'#c9c5c3\';
												}
											}
								});*/
							
							
							
						}
					</script>';
					
					//Barra de progreso
					$YGE_html .= '<div id="msProgressBar"></div>
					<script src=".as/bin/jsPBar.js" language="javascript"></script>';
					
					$YGE_onclick_1		= 'return iInstSisCli();';
					$YGE_lnk_btn_1		= 'javascript:;';
					$YGE_btn_1			= LNG::etiqueta( 'boton_completar' );
?>